%define origname gdancer

Name: xmms-vis-gdancer
Version: 0.4.6
Release: alt1

Summary: GDancer - The Dancing Space Ghost XMMS plugin
License: GPL
Group: Sound

Url: http://www.figz.com/gdancer
Source: %origname-%version.tar.gz

Patch: xmms-gdancer-0.4.5-makefile.patch

# Automatically added by buildreq on Sun Jan 04 2004
BuildRequires: XFree86-devel XFree86-libs gcc-c++ gcc-g77 glib-devel gtk+-devel hostinfo libstdc++-devel libxmms-devel

Obsoletes: xmms-gdancer

%description
GDancer is a cute little plugin for XMMS that allows for a character to
dance to the music playing.  It also supports themes so you can pick
different characters to dance for you.

%prep
%setup -q -n %origname-%version

%build
unset CC CXX
%configure
%make_build

%install
%make DESTDIR=%buildroot install

%files
%doc AUTHORS ChangeLog README README.themes TODO
%xmms_visualizationdir/gdancer.so
%xmms_visualizationdir/gdancer.la

%changelog
* Sun Jan 04 2004 Michael Shigorin <mike@altlinux.ru> 0.4.6-alt1
- 0.4.6
- renamed to %name as per xmms subpackaging policy
- source taken from Gentoo as %%url won't work
- spec cleanup

* Fri Nov 15 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.4.5-alt1
- 0.4.5
- Some spec cleanup
- Added buildrequires

* Thu Jun 28 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.3.3-alt1
- New release
- Fix makefile

* Thu Feb 22 2001 Kostya Timoshenko <kt@petr.kz> 0.2.0-ipl4mdk
- build for RE

* Thu Feb 15 2001 Lenny Cartier <lenny@mandrakesift.com> 0.2.0-4mdk
- rebuild

* Thu Sep 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-3mdk
- macros

* Thu May 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-2mdk
- fix group

* Mon Mar 20 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip source
